// pages/checkIn/checkIn.js
const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    token: app.globalData.token,
    sourceUrl: app.baseUrls.sourceUrl,
    userIcon: '',
    name: '',
    isChecked: false
  },
  getIsCheckedIn: function () {
    var self = this
    app.restAjax.get(app.restAjax.path(app.apis.isCheckedIn, [app.baseUrls.requestUrl, wx.getStorageSync('curCommunityId')]), {}, {
      headers: {
        token: self.data.token
      }
    }, function (code, data) {
      if (data == 'yes') {
        self.setData({
          isChecked: true
        })
      }
    }, function (code, data) {
      console.log(data)
    })
  },
  doCheckIn: function () {
    wx.navigateTo({
      url: './checkInDetail',
    })
  },
  
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.setData({
      userIcon: wx.getStorageSync('userIcon'),
      name: wx.getStorageSync('name')
    })
    
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    this.getIsCheckedIn()
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})