var baseUrls = {
    baseImgUrl: 'route/file/download/true/',
    requestUrl: 'http://192.168.0.111:8084/systemmunicipalmini/',
    communityUrl: 'http://192.168.0.111:8083/systemhouse/',
    serviceUrl: 'http://192.168.0.155:7011/usercenter/',
    caseUrl: 'http://192.168.0.120:8081/case/',
    sourceUrl: 'http://192.168.0.111:8084/systemmunicipalmini/assets/weCharMiniFile/images/'
}

var apis = {
    doLogin: '{baseUrl}wxminiapp/auth/login', // 登录
    getCommunityList: '{baseUrl}app/community/list', // 获取社区列表
    getCommunityListPage: '{baseUrl}app/community/listpagecommunity', // 获取社区列表-分页
    joinCommunity: '{baseUrl}app/joinCommunity/save', // 加入社区
    getArea: '{baseUrl}app/area/listbyparentid/{areaId}', // 获取区域
    getHouse: '{baseUrl}app/residential/list', // 获取小区
    mycommunity: '{baseUrl}app/joinCommunity/list', // 我的社区
    quitCommunity: '{baseUrl}app/joinCommunity/remove/{ids}', // 退出社区
    getDictionary: '{baseUrl}app/data/listbyparentid/{dataParentId}', // 获取字典
    getResidential: '{baseUrl}app/residential/get/{residentialId}', // 获取小区信息
    submitCheckIn: '{baseUrl}app/partymemberreport/save', // 提交报到
    getOrg: '{baseUrl}app/organization/save', // 获取服务机构入驻类型
    uploadImg: '{baseUrl}app/file/uploadimage', // 上传图片
    uploadVideo: '{baseUrl}app/file/uploadvideo', // 上传视频
    uploadAudio: '{baseUrl}app/file/uploadaudio', // 上传录音
    submitSettle: '{baseUrl}app/organization/save', // 提交入驻
    getOrgList: '{baseUrl}app/organization/listpageorganization', // 获取服务机构列表
    submitHelp: '{baseUrl}app/neighbor/save', // 发布邻里互助
    getHelpList: '{baseUrl}app/neighbor/listpageneighbor', // 获取邻里互助列表
    getHelpDetail: '{baseUrl}app/neighbor/get/{neighborId}', // 获取邻里互助详情
    doReplyHelp: '{baseUrl}app/neighborcomment/save', // 回复邻里互助详情
    getReplyList: '{baseUrl}app/neighborcomment/list', // 获取回复列表
    submitTalk: '{baseUrl}app/triflemyself/save', // 发布微事我言
    getTalkList: '{baseUrl}app/triflemyself/listpagetriflemyself', // 获取微事我言列表
    getTalkDetail: '{baseUrl}app/triflemyself/get/{trifleMyselfId}', // 获取微事我言详情
    replyTalk: '{baseUrl}app/comment/save', // 评论微事我言
    getTalkReplyList: '{baseUrl}app/comment/list', // 获取微事我言评论
    submitNeighborCircle: '{baseUrl}app/neighborcircle/save', // 发布邻里圈
    getCircleList: '{baseUrl}app/neighborcircle/listpageneighborcircle', // 获取邻里圈列表
    getCircleDetail: '{baseUrl}app/neighborcircle/get/{neighborCircleId}', // 获取邻里圈详情
    submitCircleReply: '{baseUrl}app/neighborcirclecomment/save', // 评论邻里圈
    getCircleReplyList: '{baseUrl}app/neighborcirclecomment/list', // 获取邻里圈评论列表
    circleClickGood: '{baseUrl}app/neighborcirclefabulous/save', // 邻里圈点赞
    getCircleGoodCount: '{baseUrl}app/neighborcirclefabulous/count', // 获取邻里圈点赞数
    circleIsClicked: '{baseUrl}app/neighborcirclefabulous/has-fabulous/{neighborCircleId}', // 邻里圈是否点赞
    cancelGood: '{baseUrl}app/neighborcirclefabulous/cancel/{ids}', // 邻里圈取消点赞
    getTalkGoodCount: '{baseUrl}app/fabulous/count', // 获取微事我言点赞数
    talkIsClicked: '{baseUrl}app/fabulous/has-fabulous/{neighborCircleId}', // 微事我言是否点赞
    talkClickPeople: '{baseUrl}app/fabulous/listpagefabulous', // 微事我言点赞人
    talkClickGood: '{baseUrl}app/fabulous/save', // 微事我言点赞
    talkCancelGood: '{baseUrl}app/fabulous/cancel/{ids}', // 微事我言取消赞
    getNewsType: '{baseUrl}app/newstype/list', // 获取新闻类型
    getNewsList: '{baseUrl}app/news/listpagenews', // 获取新闻列表
    getNewsDetail: '{baseUrl}app/news/get/{newsId}', // 获取新闻详情
    submitNewsReply: '{baseUrl}app/newscomment/save', // 发布新闻评论
    getNewsReplyList: '{baseUrl}app/newscomment/list', // 获取新闻评论列表
    isCollectNews: '{baseUrl}app/newscollection/has-collection/{newsId}', // 判断是否收藏了新闻
    doCollectNews: '{baseUrl}app/newscollection/save', // 收藏新闻
    cancelCollectNews: '{baseUrl}app/newscollection/cancel/{ids}', // 取消收藏
    getArea: '{baseUrl}app/area/listbyparentid/{parentid}', // 地区
    getChildArea: '{baseUrl}app/area/listallbyparentid/{areaParentId}', // 获取下级区域
    caseType: '{baseUrl}app/casetype/list-ztree', // 事件类型
    caseTypeChild: '{baseUrl}app/casetype/listall-byparentid', // 事件类型二级
    submitReport: '{baseUrl}app/report/save-miniapp', // 提交上报
    getHelpCount: '{baseUrl}app/neighbor/count', // 获取邻里统计
    getCardDetail: '{baseUrl}app/card/get/{cardId}', // 获取名片详情
    submitCreateCard: '{baseUrl}app/card/save', // 创建名片
    isCheckedIn: '{baseUrl}app/partymemberreport/has-report/{community}', // 判断是否报到
    checkGrid: '{baseUrl}app/gridmini/authentication', // 网格员认证
    getGridListPage: '{baseUrl}app/gridmini/listpagegridmini', // 获取网格员列表-分页
    getGridList: '{baseUrl}app/gridmini/list', // 获取网格员列表
    myCaseList: '{baseUrl}app/report/listpage-me', // 我的上报列表
    getLog: '{baseUrl}app/reportlog/list-activity/{businessId}', // 获取日志
    myCaseDetail: '{baseUrl}app/report/get/{reportId}', // 我的上报详情
    updateCaseStatus: '{baseUrl}app/report/updatereport/{reportId}', // 修改事件
    handleCase: '{baseUrl}app/reporthandle/save', // 处理事件
    getHandleList: '{baseUrl}app/reporthandle/list', // 处理列表
    getDefaultCard: '{baseUrl}app/card/get-default', // 获取默认名片
    getGirdDetail: '{baseUrl}app/gridmini/get/{gridMiniId}', // 获取网格员详情
    caseRedundancies: '{baseUrl}app/report/reassignment/{reportId}', // 事件转派
  }

module.exports = {
    apis,
    baseUrls
}