// pages/center/contact.js
const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    token: app.globalData.token,
    serviceUrl: app.baseUrls.serviceUrl,
    baseImgUrl: app.baseUrls.baseImgUrl,
    sourceUrl: app.baseUrls.sourceUrl,
    gridList: []
  },
  getGridList: function () {
    var self = this
    app.restAjax.get(app.restAjax.path(app.apis.getGridList, [app.baseUrls.requestUrl]), {
      areaCode: wx.getStorageSync('areaCode')
    }, {
      headers: {
        token: self.data.token
      }
    }, function (code, data) {
      self.setData({
        gridList: data
      })
    }, function (code, data) {
      console.log(data)
    })
  },
  // 联系网格员
  contactGrid: function (e) {
    var id = e.currentTarget.dataset.id
    wx.navigateTo({
      url: './contact/contactDetail?gridMiniId=' + id,
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    this.getGridList()
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})