// pages/center/contact/contactDetail.js
const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    token: app.globalData.token,
    serviceUrl: app.baseUrls.serviceUrl,
    baseImgUrl: app.baseUrls.baseImgUrl,
    sourceUrl: app.baseUrls.sourceUrl,
    gridMiniId: '',
    gridDetail: {},
    showCode: false
  },
  getGridDetail: function () {
    var self = this
    app.restAjax.get(app.restAjax.path(app.apis.getGirdDetail, [app.baseUrls.requestUrl, self.data.gridMiniId]), {}, {
      headers: {
        token: self.data.token
      }
    }, function (code, data) {
      self.setData({
        gridDetail: data
      })
    }, function (code, data) {
      console.log(data)
    })
  },
  // 显示名片码
  showCardCode: function () {
    this.setData({
      showCode: true
    })
  },
  // 隐藏
  hideCardCode: function () {
    this.setData({
      showCode: false
    })
  },
  // 复制文本
  copyText: function (e) {
    var self = this
    var text = e.currentTarget.dataset.text
    if (text) {
      wx.setClipboardData({
        data: text,
        success: function () {}
      })
    } else {
      wx.showToast({
        title: '暂无微信信息',
        icon: 'none'
      })
    }
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    this.setData({
      gridMiniId: options.gridMiniId
    })
    this.getGridDetail()
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage(res) {
    var self = this
    wx.showShareMenu({
      withShareTicket: true,
      success: function (res) {
        console.log(res)
      }
    })

    if (res.from == 'button') {
      var postId = self.buildId()
      self.shareRecord(postId)

      var param = '/center/contact/contactDetail?gridMiniId=' + self.data.gridMiniId;
      return {
        title: '名片分享',
        path: param,
        // imageUrl: self.data.shareImgUrl
      }
      // return返回    title 转发标题    path 路径 imageUrl 自定义图片,可以本地路径  代码包文件路径  支持png jpg 显示长宽比5:4
    }
  }
})