// pages/neighbor/circle/circleList.js
const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    token: app.globalData.token,
    circleList: [],
    page: {
      page: 1,
      rows: 10
    },
    serviceUrl: app.baseUrls.serviceUrl,
    baseImgUrl: app.baseUrls.baseImgUrl,
  },
  checkDetail: function (e) {
    var id = e.currentTarget.dataset.id
    wx.navigateTo({
      url: './circleDetail?neighborCircleId=' + id,
    })
  },
  getCircleList: function () {
    var self = this
    app.restAjax.get(app.restAjax.path(app.apis.getCircleList, [app.baseUrls.requestUrl]), self.data.page, {
      headers: {
        token: self.data.token
      }
    }, function (code, data) {
      for (let i = 0; i < data.rows.length; i++) {
        if (data.rows[i].photo) {
          data.rows[i].photo = data.rows[i].photo.split(',')
        }
      }
      self.setData({
        circleList: data.rows
      })
    }, function (code, data) {
      console.log(data)
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.getCircleList()
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})